Index: extensions/ExtendedDescription/admin.php
===================================================================
--- extensions/ExtendedDescription/admin.php	(revision 26430)
+++ extensions/ExtendedDescription/admin.php	(revision 26430)
@@ -0,0 +1,24 @@
+<?php
+defined('EXTENDED_DESC_PATH') or die('Hacking attempt!');
+
+global $template, $page;
+load_language('plugin.lang', EXTENDED_DESC_PATH);
+
+$page['infos'][] = l10n('Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.');
+
+
+
+$template->assign(array(
+  'EXTENDED_DESC_PATH' => EXTENDED_DESC_PATH,
+  'EXTDESC_HELP' => array(
+    'lang' =>       load_language('help.lang.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    'extdesc' =>    load_language('help.extdesc.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    'cat_photo' =>  load_language('help.cat_photo.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    'slider' =>     load_language('help.slider.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    'hide' =>       load_language('help.hide.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    'redirect' =>   load_language('help.redirect.html', EXTENDED_DESC_PATH, array('return'=>true)),
+    ),
+  ));
+
+$template->set_filename('extdesc', realpath(EXTENDED_DESC_PATH . 'template/admin.tpl'));
+$template->assign_var_from_handle('ADMIN_CONTENT', 'extdesc');
Index: extensions/ExtendedDescription/include/admin.inc.php
===================================================================
--- extensions/ExtendedDescription/include/admin.inc.php	(revision 26424)
+++ extensions/ExtendedDescription/include/admin.inc.php	(revision 26430)
@@ -1,4 +1,16 @@
 <?php
 defined('EXTENDED_DESC_PATH') or die('Hacking attempt!');
+
+/**
+ * Main help page on plugins list
+ */
+function extdesc_admin_menu($menu) 
+{
+  $menu[] = array(
+    'NAME' => 'Extended Description',
+    'URL' => get_root_url() . 'admin.php?page=plugin-ExtendedDescription',
+    );
+  return $menu;
+}
 
 /**
@@ -45,5 +57,5 @@
   $add = '
 {combine_script id=\'core.scripts\' load=\'async\' path=\'themes/default/js/scripts.js\'}
-<a href="./admin/popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="'.l10n('ExtendedDesc_help').'" style="vertical-align: middle; border: 0; margin: 0.5em;"><img src="'.$themeconf['admin_icon_dir'].'/help.png" class="button" alt="'.l10n('ExtendedDesc_help').'"></a>';
+<a href="./admin/popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="'.l10n('Use Extended Description tags...').'" style="vertical-align: middle; border: 0; margin: 0.5em;"><img src="'.$themeconf['admin_icon_dir'].'/help.png" class="button" alt="'.l10n('Use Extended Description tags...').'"></a>';
 
   return str_replace($search, $search.$add, $content);
@@ -54,9 +66,27 @@
  * Display popup content
  */
-function  extended_desc_popup($help_content, $get)
+function extended_desc_popup($help_content, $get)
 {
   if ($get == 'extended_desc')
   {
-    $help_content = load_language('help.html', EXTENDED_DESC_PATH, array('return'=>true));
+    global $template;
+
+    load_language('plugin.lang', EXTENDED_DESC_PATH);
+
+    $template->assign(array(
+      'EXTENDED_DESC_PATH' => EXTENDED_DESC_PATH,
+      'EXTDESC_HELP' => array(
+        'lang' =>       load_language('help.lang.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        'extdesc' =>    load_language('help.extdesc.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        'cat_photo' =>  load_language('help.cat_photo.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        'slider' =>     load_language('help.slider.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        'hide' =>       load_language('help.hide.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        'redirect' =>   load_language('help.redirect.html', EXTENDED_DESC_PATH, array('return'=>true)),
+        ),
+      ));
+
+    $template->set_filename('extdesc', realpath(EXTENDED_DESC_PATH . 'template/admin.tpl'));
+    
+    $help_content = '<h2>Extended Description</h2>' . $template->parse('extdesc', true);
   }
   return $help_content;
Index: extensions/ExtendedDescription/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/ar_SA/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'استخدم اضافة الوصف مع الدلائل';
+$lang['Use Extended Description tags...'] = 'استخدم اضافة الوصف مع الدلائل';
 $lang['This category is redirected to %s'] = 'هذا التصنيف يحول الى %s';
 
+$lang['Multilingual descriptions'] = 'متعدد اللغات في الوصف';
+$lang['Extended descriptions'] = 'لوصف الموسع';
+$lang['Insert an album or a photo'] = 'ادخل صورة او تصنيف';
+
 ?>
Index: extensions/ExtendedDescription/language/bg_BG/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/bg_BG/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/bg_BG/plugin.lang.php	(revision 26430)
@@ -22,4 +22,8 @@
 // +-----------------------------------------------------------------------+
 $lang['This category is redirected to %s'] = 'Този албум препраща към %s';
-$lang['ExtendedDesc_help'] = 'Използване Разширени описателни тагове...';
+$lang['Use Extended Description tags...'] = 'Използване Разширени описателни тагове...';
+
+$lang['Multilingual descriptions'] = 'Многоезиково описание';
+$lang['Extended descriptions'] = 'Разширени описания';
+$lang['Insert an album or a photo'] = 'Въведете Албум или Снимка';
 ?>
Index: extensions/ExtendedDescription/language/ca_ES/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/ca_ES/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/ca_ES/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Utilitzar etiquetes ampliant la descripció...';
+$lang['Use Extended Description tags...'] = 'Utilitzar etiquetes ampliant la descripció...';
 $lang['This category is redirected to %s'] = 'Àlbum redirigit a %s';
+
+$lang['Multilingual descriptions'] = 'Descripcions multilingües';
+$lang['Extended descriptions'] = 'Descripcions extenses';
+$lang['Insert an album or a photo'] = 'Insertar un àlbum o una imatge';
 ?>
Index: extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Používat elementy rozšířeného popisu...';
+$lang['Use Extended Description tags...'] = 'Používat elementy rozšířeného popisu...';
 $lang['This category is redirected to %s'] = 'Tato kategorie je přesměrována na %s';
 
+$lang['Multilingual descriptions'] = 'Vícejazyčné popisy';
+$lang['Extended descriptions'] = 'Rozšířené popisy';
+$lang['Insert an album or a photo'] = 'Vložení kategorie nebo fotografie';
+
 ?>
Index: extensions/ExtendedDescription/language/da_DK/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/da_DK/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/da_DK/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Brug tags til udvidet beskrivelse ...';
+$lang['Use Extended Description tags...'] = 'Brug tags til udvidet beskrivelse ...';
 $lang['This category is redirected to %s'] = 'Dette album er omdirigeret til %s';
+
+$lang['Multilingual descriptions'] = 'Flersprogede beskrivelser';
+$lang['Extended descriptions'] = 'Udvidede beskrivelser';
+$lang['Insert an album or a photo'] = 'Indsæt et album eller et billede';
 ?>
Index: extensions/ExtendedDescription/language/de_DE/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/de_DE/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/de_DE/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Benützen der HTML-Tags Extended Description...';
+$lang['Use Extended Description tags...'] = 'Benützen der HTML-Tags Extended Description...';
 $lang['This category is redirected to %s'] = 'Diese Kategorie wird nach %s weitergeleitet';
 
+$lang['Multilingual descriptions'] = 'Mehrsprachige Beschreibung';
+$lang['Extended descriptions'] = 'Ausführlichere Beschreibung';
+$lang['Insert an album or a photo'] = 'Kategorie oder Foto einfügen';
+
 ?>
Index: extensions/ExtendedDescription/language/el_GR/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/el_GR/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/el_GR/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Χρησιμοποιήστε ετικέτες Εκτεταμένης Περιγραφής ...';
+$lang['Use Extended Description tags...'] = 'Χρησιμοποιήστε ετικέτες Εκτεταμένης Περιγραφής ...';
 $lang['This category is redirected to %s'] = 'Αυτό το λεύκωμα ανακατευθύνεται προς %s';
+
+$lang['Multilingual descriptions'] = 'Πολυγλωσσικές Περιγραφές';
+$lang['Extended descriptions'] = 'Εκτεταμένες Περιγραφές';
+$lang['Insert an album or a photo'] = 'Εισάγετε ένα λεύκωμα ή μια φωτογραφία';
 ?>
Index: extensions/ExtendedDescription/language/en_UK/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/en_UK/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/en_UK/plugin.lang.php	(revision 26430)
@@ -1,6 +1,13 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Use Extended Description tags...';
+$lang['Use Extended Description tags...'] = 'Use Extended Description tags...';
 $lang['This category is redirected to %s'] = 'This album is redirected to %s';
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.';
+
+$lang['Multilingual descriptions'] = 'Multilingual descriptions';
+$lang['Extended descriptions'] = 'Extended descriptions';
+$lang['Insert an album or a photo'] = 'Insert an album or a photo';
+$lang['Hide elements'] = 'Hide elements';
+$lang['Redirect elements'] = 'Redirect elements';
 
 ?>
Index: extensions/ExtendedDescription/language/es_ES/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/es_ES/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/es_ES/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Utilizar las balizas de...';
+$lang['Use Extended Description tags...'] = 'Utilizar las balizas de...';
 $lang['This category is redirected to %s'] = 'Esta categoría está redirigida a %s';
 
+$lang['Multilingual descriptions'] = 'Descripciones multilingües';
+$lang['Extended descriptions'] = 'Descripciones extensas';
+$lang['Insert an album or a photo'] = 'Insertar una categoría o una imagen';
+
 ?>
Index: extensions/ExtendedDescription/language/et_EE/index.php
===================================================================
--- extensions/ExtendedDescription/language/et_EE/index.php	(revision 26430)
+++ extensions/ExtendedDescription/language/et_EE/index.php	(revision 26430)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ExtendedDescription/language/et_EE/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/et_EE/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/et_EE/plugin.lang.php	(revision 26430)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Kasuta Laiendatud Kirjeldused tagi..';
+$lang['Use Extended Description tags...'] = 'Kasuta Laiendatud Kirjeldused tagi..';
 $lang['This category is redirected to %s'] = 'See album on ümber suunatud %s';
 ?>
Index: extensions/ExtendedDescription/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/fr_FR/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/fr_FR/plugin.lang.php	(revision 26430)
@@ -1,6 +1,13 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Utiliser les balises d\'Extended Description...';
+$lang['Use Extended Description tags...'] = 'Utiliser les balises d\'Extended Description...';
 $lang['This category is redirected to %s'] = 'Cet album est redirigé vers %s';
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'ExtendedDescription a bien été installé. Vous pouvez dès maintenant utiliser toutes les options dans la plupart des boites de texte de Piwigo.';
+
+$lang['Multilingual descriptions'] = 'Descriptions multilingues';
+$lang['Extended descriptions'] = 'Descriptions étendues';
+$lang['Insert an album or a photo'] = 'Insérer un album ou une photo';
+$lang['Hide elements'] = 'Masquer un élément';
+$lang['Redirect elements'] = 'Rediriger un élément';
 
 ?>
Index: extensions/ExtendedDescription/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/hu_HU/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/hu_HU/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Bővített leírás címkék használatával...';
+$lang['Use Extended Description tags...'] = 'Bővített leírás címkék használatával...';
 $lang['This category is redirected to %s'] = 'Ez a kategória átirányítva %s';
 
+$lang['Multilingual descriptions'] = 'Használat más nyelveken';
+$lang['Extended descriptions'] = 'További lehetőségek';
+$lang['Insert an album or a photo'] = 'Kategória vagy kép beszúrása';
+
 ?>
Index: extensions/ExtendedDescription/language/it_IT/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/it_IT/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/it_IT/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Usare i tag di Extended Description...';
+$lang['Use Extended Description tags...'] = 'Usare i tag di Extended Description...';
 $lang['This category is redirected to %s'] = 'Quest\'album è reindirizzato verso %s';
 
+$lang['Multilingual descriptions'] = 'Descrizione multilingue';
+$lang['Extended descriptions'] = 'Descrizione estesa';
+$lang['Insert an album or a photo'] = 'Inserire un album o una foto';
+
 ?>
Index: extensions/ExtendedDescription/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/lv_LV/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/lv_LV/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Lietot Paplašinātā Apraksta iezīmes...';
+$lang['Use Extended Description tags...'] = 'Lietot Paplašinātā Apraksta iezīmes...';
 $lang['This category is redirected to %s'] = 'Šī kategorija ir novirzīta uz %s';
 
+$lang['Multilingual descriptions'] = 'Apraksti vairākās valodās';
+$lang['Extended descriptions'] = 'Paplašinātie apraksti';
+$lang['Insert an album or a photo'] = 'Ievieto kategoriju vai attēlu';
+
 ?>
Index: extensions/ExtendedDescription/language/nb_NO/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/nb_NO/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/nb_NO/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Bruk utvidede beskrivelse tagger...';
+$lang['Use Extended Description tags...'] = 'Bruk utvidede beskrivelse tagger...';
 $lang['This category is redirected to %s'] = 'Dette albumet er videresendt til %s';
 
+$lang['Multilingual descriptions'] = 'Flerspråkelig beskrivelse';
+$lang['Extended descriptions'] = 'Utvidet beskrivelse';
+$lang['Insert an album or a photo'] = 'Sett inn et album eller et bilde';
+
 ?>
Index: extensions/ExtendedDescription/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/nl_NL/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Gebruik uitgebreide omschrijvings labels..';
+$lang['Use Extended Description tags...'] = 'Gebruik uitgebreide omschrijvings labels..';
 $lang['This category is redirected to %s'] = 'Dit album wordt doorgestuurd naar %s';
+
+$lang['Multilingual descriptions'] = 'Multilanguage beschrijvingen';
+$lang['Extended descriptions'] = 'Uitgebreide omschrijvingen';
+$lang['Insert an album or a photo'] = 'Invoegen van foto of album';
 ?>
Index: extensions/ExtendedDescription/language/nn_NO/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/nn_NO/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/nn_NO/plugin.lang.php	(revision 26430)
@@ -21,5 +21,8 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Bruk Extended Description stikkord...';
+$lang['Use Extended Description tags...'] = 'Bruk Extended Description stikkord...';
 $lang['This category is redirected to %s'] = 'Dette albumet er vidaresendt til %s';
+
+$lang['Multilingual descriptions'] = 'Fleirspråklege skildringar';
+$lang['Extended descriptions'] = 'Utvida skildringar';
 ?>
Index: extensions/ExtendedDescription/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/pl_PL/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/pl_PL/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Użyj tagów Rozszerzonych Opisów';
+$lang['Use Extended Description tags...'] = 'Użyj tagów Rozszerzonych Opisów';
 $lang['This category is redirected to %s'] = 'Ten album jest przekierowany do %s';
 
+$lang['Multilingual descriptions'] = 'Multi-językowe opisy';
+$lang['Extended descriptions'] = 'Rozszerzony opis';
+$lang['Insert an album or a photo'] = 'Wstawianie albumu lub zdjęcia';
+
 ?>
Index: extensions/ExtendedDescription/language/pt_BR/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/pt_BR/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/pt_BR/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Use marcas Descrição Extendida...';
+$lang['Use Extended Description tags...'] = 'Use marcas Descrição Extendida...';
 $lang['This category is redirected to %s'] = 'Este álbum foi redirecionado para %s';
+
+$lang['Multilingual descriptions'] = 'Descrições em vários idiomas';
+$lang['Extended descriptions'] = 'Descrições Extendidas';
+$lang['Insert an album or a photo'] = 'Insira um álbum ou uma foto';
 ?>
Index: extensions/ExtendedDescription/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/pt_PT/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/pt_PT/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Usar etiquetas de Descrição Extendida...';
+$lang['Use Extended Description tags...'] = 'Usar etiquetas de Descrição Extendida...';
 $lang['This category is redirected to %s'] = 'Este álbum redirecciona para %s';
+
+$lang['Multilingual descriptions'] = 'Descrições multi-idioma';
+$lang['Extended descriptions'] = 'Descrições extensas';
+$lang['Insert an album or a photo'] = 'Inserir um album ou uma foto';
 ?>
Index: extensions/ExtendedDescription/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/ru_RU/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/ru_RU/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Используйте расширенное описание тегов';
+$lang['Use Extended Description tags...'] = 'Используйте расширенное описание тегов';
 $lang['This category is redirected to %s'] = 'Этот альбом будет перенаправлен на %s';
+
+$lang['Multilingual descriptions'] = 'Мультиязычные описания';
+$lang['Extended descriptions'] = 'Расширенное описание';
+$lang['Insert an album or a photo'] = 'Вставка альбома либо изображения';
 ?>
Index: extensions/ExtendedDescription/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/sk_SK/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/sk_SK/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Použiť rozšírený popis kľúčových slov...';
+$lang['Use Extended Description tags...'] = 'Použiť rozšírený popis kľúčových slov...';
 $lang['This category is redirected to %s'] = 'Táto kategória je presmerovaná na %s';
 
+$lang['Multilingual descriptions'] = 'Viacjazyčné popisy';
+$lang['Extended descriptions'] = 'Rozšírené popisy';
+$lang['Insert an album or a photo'] = 'Vložiť kategóriu alebo fotografiu';
+
 ?>
Index: extensions/ExtendedDescription/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/sv_SE/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/sv_SE/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Använd Taggar med Utökad Beskrivning...';
+$lang['Use Extended Description tags...'] = 'Använd Taggar med Utökad Beskrivning...';
 $lang['This category is redirected to %s'] = 'Albumet är omdirigerat till to %s';
 
+$lang['Multilingual descriptions'] = 'Flerspråkiga beskrivningar';
+$lang['Extended descriptions'] = 'Utökade beskrivningar';
+$lang['Insert an album or a photo'] = 'Infoga en kategori eller ett foto';
+
 ?>
Index: extensions/ExtendedDescription/language/th_TH/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/th_TH/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/th_TH/plugin.lang.php	(revision 26430)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'ใช้การอธิบายเพิ่มเติมสำหรับแท็ก';
+$lang['Use Extended Description tags...'] = 'ใช้การอธิบายเพิ่มเติมสำหรับแท็ก';
 $lang['This category is redirected to %s'] = 'อัลบั้มนี้จะถูกนำไปยัง %s';
 ?>
Index: extensions/ExtendedDescription/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/tr_TR/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/tr_TR/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Genişletilmiş Açıklama etiketlerini kullanın...';
+$lang['Use Extended Description tags...'] = 'Genişletilmiş Açıklama etiketlerini kullanın...';
 $lang['This category is redirected to %s'] = 'Bu albüm %s\'e yönlendirilir';
 
+$lang['Multilingual descriptions'] = 'Çoklu Dil açıklamaları';
+$lang['Extended descriptions'] = 'Genişletilmiş açıklamalar';
+$lang['Insert an album or a photo'] = 'Bir albüm veya fotoğraf yerleştirme';
+
 ?>
Index: extensions/ExtendedDescription/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/uk_UA/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/uk_UA/plugin.lang.php	(revision 26430)
@@ -21,5 +21,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Використовуйте розширений опис теґів';
+$lang['Use Extended Description tags...'] = 'Використовуйте розширений опис теґів';
 $lang['This category is redirected to %s'] = 'Цей альбом буде перенаправлено в %s';
+
+$lang['Multilingual descriptions'] = 'Багатомовні описи';
+$lang['Extended descriptions'] = 'Розширені описи';
+$lang['Insert an album or a photo'] = 'Вставте альбом або зображення';
 ?>
Index: extensions/ExtendedDescription/language/vi_VN/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/vi_VN/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/vi_VN/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Sử dụng Thẻ mô tả mở rộng...';
+$lang['Use Extended Description tags...'] = 'Sử dụng Thẻ mô tả mở rộng...';
 $lang['This category is redirected to %s'] = 'Đề mục này được điều hướng đến đề mục %s';
 
+$lang['Multilingual descriptions'] = 'Mô tả đa ngôn ngữ';
+$lang['Extended descriptions'] = '>Mô tả mở rộng';
+$lang['Insert an album or a photo'] = 'Chèn thêm một đề mục hoặc một tấm ảnh';
+
 ?>
Index: extensions/ExtendedDescription/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/zh_CN/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/zh_CN/plugin.lang.php	(revision 26430)
@@ -1,6 +1,9 @@
 <?php
 
-$lang['ExtendedDesc_help'] = '使用扩展描述标签...';
-/*TODO*/$lang['This category is redirected to %s'] = 'This category is redirected to %s';
+$lang['Use Extended Description tags...'] = '使用扩展描述标签...';
+
+$lang['Multilingual descriptions'] = '多语言描述';
+$lang['Extended descriptions'] = '扩展描述';
+$lang['Insert an album or a photo'] = '插入一个分类或相片';
 
 ?>
Index: extensions/ExtendedDescription/language/zh_TW/index.php
===================================================================
--- extensions/ExtendedDescription/language/zh_TW/index.php	(revision 26430)
+++ extensions/ExtendedDescription/language/zh_TW/index.php	(revision 26430)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ExtendedDescription/language/zh_TW/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/zh_TW/plugin.lang.php	(revision 26424)
+++ extensions/ExtendedDescription/language/zh_TW/plugin.lang.php	(revision 26430)
@@ -21,5 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = '使用擴展說明標籤...';
+$lang['Use Extended Description tags...'] = '使用擴展說明標籤...';
 $lang['This category is redirected to %s'] = '此相簿中將被重定向到 %s';
+
+$lang['Multilingual descriptions'] = '';
+$lang['Extended descriptions'] = '';
+$lang['Insert an album or a photo'] = '';
+$lang['Hide elements'] = '';
+$lang['Redirect elements'] = '';
 ?>
Index: extensions/ExtendedDescription/main.inc.php
===================================================================
--- extensions/ExtendedDescription/main.inc.php	(revision 26424)
+++ extensions/ExtendedDescription/main.inc.php	(revision 26430)
@@ -37,4 +37,5 @@
   add_event_handler('get_popup_help_content', 'extended_desc_popup', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
   add_event_handler('loc_begin_admin_page', 'add_ed_help');
+  add_event_handler('get_admin_plugin_menu_links', 'extdesc_admin_menu');
 }
 
